<%@page pageEncoding="ISO-8859-1" contentType="text/html; charset=ISO-8859-1"%>
<%@page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bCentroTrabajoVistaBD"%>

<%@ taglib uri="/WEB-INF/tld/ejieFramework-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>

<%@ page import="es.ejie.frmk.listeners.base.Q70ListenerUtils" %>
<%@ page import="w83b.w83bUtilidadesComunes.W83bClsConstantes" %>

<%
//Recuperar el path de los contenidos estaticos de framework
String riastaticPath = Q70ListenerUtils.getApplicationResourceURI("PREFIJO_URL_ESTATICO","ALIAS_ESTATICO_RIA");	
String staticPath = Q70ListenerUtils.getApplicationResourceURI("PREFIJO_URL_ESTATICO","ALIAS_ESTATICO");	
String PREFIJO_URL_DINAMICO = Q70ListenerUtils.getApplicationProperty("PREFIJO_URL_DINAMICO");	
%>

<bean:define id="strIdioma" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA %>" name="contexto"></bean:define>

<script type="text/javascript">
jQuery(document).ready(function(){
	$.fn.jq_ejie_dialogo.i18nServlet = '<%=""+PREFIJO_URL_DINAMICO+"/riaI18NServlet"%>';
});

jQuery(document).ready(function(){
		var columnaTerritorio;
		if(<%=strIdioma.equals(W83bClsConstantes.CONSTANTE_CASTELLANO)%>){
			columnaDesc = '<%=W83bCentroTrabajoVistaBD.territorio%>';
		}else{
			columnaDesc = '<%=W83bCentroTrabajoVistaBD.territorio_eusk%>';
		}
		// Llamada al plugin de la tabla
		jQuery("#idTablaCentroTrabajo").jq_ejie_tabla({   
			operacionPasoURL: '<%=""+PREFIJO_URL_DINAMICO+"/centroTrabajoOP/w83bTablaCentroTrabajoOP.do"%>',
			colNames:[
				'<html:message key="comun.centroTrabajo.codCentro"/>', 
				'<html:message key="comun.centroTrabajo.cifNif"/>',
				'<html:message key="comun.centroTrabajo.razonSocial"/>',
				'<html:message key="comun.centroTrabajo.domicilioTrabajo"/>',
				'<html:message key="comun.centroTrabajo.municipio"/>',
				'<html:message key="comun.centroTrabajo.t"/>',
				'<html:message key="comun.centroTrabajo.codPostal"/>',
				'<html:message key="comun.centroTrabajo.cnae"/>'
			],
			colModel:[
				{name:'codCentro',index:'<%=W83bCentroTrabajoVistaBD.codcentro%>', width:100, editable:false},
				{name:'cifNif',index:'<%=W83bCentroTrabajoVistaBD.cifnif%>', width:100, editable:false},
				{name:'razonSocial',index:'<%=W83bCentroTrabajoVistaBD.razonsocial%>', width:200, editable:false},
				{name:'domicilioTrabajo',index:'<%=W83bCentroTrabajoVistaBD.domicilio%>', width:200, editable:false},
				{name:'municipio',index:'<%=W83bCentroTrabajoVistaBD.municipio%>', width:100, editable:false},
				{name:'territorio',index:columnaDesc, width:100, editable:false},
				{name:'codPostal',index:'<%=W83bCentroTrabajoVistaBD.codpostal%>', width:100, editable:false},
				{name:'cnae',index:'<%=W83bCentroTrabajoVistaBD.cnae%>', width:100, editable:false}
			],
			imgpath: '<%=riastaticPath%>+"/images/"',
			campoFormId: 'codCentro',
			width:1050,
			pagerName:'pager',
			multiselect: false,
			botones: [ 
						{ idBoton:'btnAnyadir', cssBoton:'nuevo boton', literalBoton:'<html:message key="comun.boton.anyadir"/>', fncBoton: function() { atrasCentroTrabajo(); } }
					],
			pagerName: 'idPaginacionCentroTrabajo',				
			onSortCol: function(){
				lanzaBusquedaTabla('idTablaCentroTrabajo','w83bFormBusqCentroTrabajo','sord',null);
			},
			idStyleEnlace:true,
			onSelectRow: function(id){
				//FUNCIÓN QUE HABRÁ QUE PONER EN CADA PÁGINA QUE VAYA A USAR ESTA MODAL.
				//SIRVE PARA RELLENAR EL CENTRO DE TRABAJO EN LA VENTANA MADRE.
				rellenarCentroTrabajo();
				atrasCentroTrabajo();
			},
			skipEvent: function(id,status){
			   atrasCentroTrabajo();
			}
				
		});				
});


	function limpiarFormularioAgrupaciones(){
		$("#codCentroTrabajo").val('');		
		$("#codCifNif").val('');		
		$("#cifnifLetra").val('');		
		$("#razonSocial").val('');		
	}

	function buscarCentroTrabajoVacio(){

		limpiarFormularioAgrupaciones();
		jQuery("#idTablaCentroTrabajo").trigger("reloadGrid");

	}


	function buscarCentroTrabajo(){
		showTelon();
		var parametrosAdicionales = '';
		parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.codCentroTrabajo='+$('#codCentroTrabajo').val();
		parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.cifnif='+$('#codCifNif').val();
		parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.cifnifLetra='+$('#cifnifLetra').val();
		parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.razonSocial='+$('#razonSocial').val();		
		$.ajax({
			  type: "POST",
			  url: '<%=""+PREFIJO_URL_DINAMICO+"/centroTrabajoOP/w83bContarCentroTrabajoOP.do?R01HNoPortal=true"%>'+parametrosAdicionales,
			  dataType: "json",		  
			  complete: function(objeto, exito){
			    		closeTelon();
			    		if(exito=="success"){
							var objJson = eval(['(',objeto.responseText,')'].join(''));
							var resultado = objJson.nCentros;
							if(resultado<1000){
								botonDeseleccionTodoTabla("idTablaCentroTrabajo");
								if(""==$('#codCentroTrabajo').val()
										&&""==$('#codCifNif').val()
										&&""==$('#cifnifLetra').val()
										&&""==$('#razonSocial').val()){
									jQuery("#idFeebackDialogoCentro").setFeedBack(
											{texto: '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.filtroObligatorio"/>'}
									);
								}else{
									var parametrosAdicionales = '';
									parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.codCentroTrabajo='+$('#codCentroTrabajo').val();
									parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.cifnif='+$('#codCifNif').val();
									parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.cifnifLetra='+$('#cifnifLetra').val();
									parametrosAdicionales = parametrosAdicionales+'&w83bCentroTrabajoBean.razonSocial='+$('#razonSocial').val();
									lanzaBusquedaTabla('idTablaCentroTrabajo','w83bFormBusqCentroTrabajo',null,parametrosAdicionales)
								}
							}else{
								jQuery("#idFeebackDialogoCentro").setFeedBack(
										{texto: '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.muchosResultados"/>'});
							}
						}
			  	}
			  });
	}

	function atrasCentroTrabajo(){
		$("#ejie_dialogo_capa_divCentroTrabajo").dialog("close");
		$.ajax({
			  type: "POST",
			  url: '<%=""+PREFIJO_URL_DINAMICO+"/centroTrabajoOP/w83bSubOpCentroTrabajoEnd.do?R01HNoPortal=true"%>',
			  dataType: "json"
			  });	
	}

</script>